<main #element>
  <div class="header">
    <button mat-icon-button class="collapse-btn" (click)="collapse()" *ngIf="collapsable"><mat-icon>{{collapseIcon}}</mat-icon></button>
    <img src="{{type?.icon}}" alt="" class="program-icon">
    <span class="program">{{type?.name}}</span>
    <button mat-icon-button class="close" (click)="close()"><mat-icon>close</mat-icon></button>
  </div>

  <div class="content" #content>
    <div class="cont-container">
      <img src="{{message?.icon}}" alt="" *ngIf="message?.icon" class="icon">
      <div>
        <span class="title">{{message?.title}}</span>
        <span class="message">{{message?.message}}</span>
      </div>
    </div>

    <div class="notify-buttons" *ngIf="message?.buttons !== undefined">
      <button *ngFor="let button of message?.buttons" mat-flat-button (click)="button.onClick(); close()" color="{{button.color}}">{{button.name}}</button>
    </div>
  </div>
</main>
